# Interface IField

All Known Implementing Classes:
  `AbstractField, FieldCategory`

public interface IField
IField is the definition of fields for marker views.

## Method Summary

Modifier and Type
Method
Description
`int`
`compare(Object obj1, Object obj2)`
`Image`
`getColumnHeaderImage()`
`String`
`getColumnHeaderText()`
`int`
`getDefaultDirection()`
Get the default direction for the receiver.
`String`
`getDescription()`
`Image`
`getDescriptionImage()`
`Image`
`getImage(Object obj)`
`int`
`getPreferredWidth()`
Get the preferred width of the receiver.
`String`
`getValue(Object obj)`
`boolean`
`isShowing()`
Return whether not the receiver is showing.
`void`
`setShowing(boolean showing)`
Set whether or not the receiver is showing.

## Method Details

### getDescription

String getDescription()

Returns:
  String the description of the field.

### getDescriptionImage

Image getDescriptionImage()

Returns:
  the image associated with the description of the field or `null`.

### getColumnHeaderText

String getColumnHeaderText()

Returns:
  The text to be displayed in the column header for this field.

### getColumnHeaderImage

Image getColumnHeaderImage()

Returns:
  The image to be displayed in the column header for this field or `null`.

### getValue

String getValue(Object obj)

Returns:
  The String value of the object for this particular field to be displayed to the user.

### getImage

Image getImage(Object obj)

Returns:
  The image value of the object for this particular field to be displayed to the user or `null`.

### compare

int compare(Object obj1, Object obj2)

Returns:
  Either:
  - a negative number if the value of obj1 is less than the value of obj2 for this field.
  - `0` if the value of obj1 and the value of obj2 are equal for this field.
  - a positive number if the value of obj1 is greater than the value of obj2 for this field.

### getDefaultDirection

int getDefaultDirection()
Get the default direction for the receiver. Return either `TableComparator.ASCENDING` or `TableComparator.DESCENDING`

Returns:
  int

### getPreferredWidth

int getPreferredWidth()
Get the preferred width of the receiver.

Returns:
  int

### isShowing

boolean isShowing()
Return whether not the receiver is showing.

Returns:
  boolean

### setShowing

void setShowing(boolean showing)
Set whether or not the receiver is showing.